petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdjointSetUp

Sets up the internal data structures for the later use of an adjoint solver

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdjointSetUp(TS ts)

Collective on TS Many br

### Input Parameter

ts -the TS context obtained from TSCreate() Many br

Many br

### Keywords

TS, timestep, setup

### See Also

TSCreate(), TSAdjointStep(), TSSetCostGradients()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages